Figure - Bug #111971
0 O Test-IT #110867 (New): V1.00 00 00 0
0 O Test-1T #110868 (New): BSP-BVTO 0 -0/00 0 0

OVCIOOBSPOOEVTO OpowerD OO O DOODOOODOOOrebootD2HO OO OO D000 OOOOODO

goao
2022-09-15 15:00 - SZTS_TEST 0 O

Status: CLOSED Start date: 2022-09-15

Priority: High Due date: 2023-03-10

Assignee: gbooboo_cepTtsbod % Done: 80%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: - Found Version: VerifyBuild/Pre_figure_turbox-c2130c-lal.1-qs$i12-dev
Resolution: FIXED Degrated: -

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Bring Up Test Root cause: vCiTPOUUOODOOOOOOODbOoOoDbOmpoot
Description

ooooo

10DUTOOO0O00O00O0000000

gooon
1000000Oreboot0 0 0O0O0O0DODOOO

gooon
10000 022Hd000000%00 00000 0ODOODO

goooo
100000rebootD 0 O0OOCOODOCOOOOOODO

Related issues:

Related to Figure - Bug # 112149: 0 BSPO O EVTO O powerD0 0 0 0 0 O M...
Related to Figure - Bug # 111349: 0 BSPO O EVTO O power0 0 OO0 OO O ...
Related to Figure - Bug # 113610: 0 BSPO O EVTIO OMEMO OO OOOODO...

CLOSED
CLOSED
CLOSED

2022-09-26
2022-09-15
2022-11-02

2023-01-18

2023-03-10

History

#1 - 2022-09-15 15:03 - SZTS_TEST O O

dumpO O O https://thundersoft.feishu.cn/file/boxcnl AGUbEIPZy2mZhMIGG2mpc

#2 - 2022-09-15 15:27 - CD SYSTEM-O O O
- Assignee changed from CD SYSTEM-O 0 0 toCDLCO O O

0000000bug#ll134900000,0000000000

O Serial-COM119_20220914175848.log0 0,0 000000 0O0dmO 00O OslotselectD 0000, 00000000,

[19:27:44][ 80.889803] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[19:27:36][ 72.681214] cnss: fatal: Timeout waiting for FW ready indication

[19:27:44][ 80.876331] cnss: Timeout (40000ms) waiting for calibration to complete
https://thundersoft.feishu.cn/file/boxcnlA6ubEIPZy2mZhMJGG2mpc

[19:27:44][ 80.885980] cnss: ASSERT at line 2433

[19:27:44][ 80.889803] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[19:27:44][ 80.896066] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP

[19:27:44][ 80.901703] Modules linked in: wlan(O+) machine_dlkm(O) wcd938x_slave_dlkm(O) wed938x_dlkm(O) wed9xxx_dlkm(O) mbhc_dlkm(O)
tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O) wsa881x_dlkm(O) wecd_core_dlkm(O)
stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_Ipi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O) native_dlkm(QO) platform_dlkm(O) g6_dlkm(QO)
adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) g6_notifier_dlkm(O) g6_pdr_dlkm(O) msm_11ad_proxy

[19:27:44][ 80.946055] Process modprobe (pid: 1229, stack limit = 0x(ffffff8017768000)

[19:27:44][ 80.953111] CPU: 6 PID: 1229 Comm: modprobe Tainted: G SW O L 4.19.157+ #1

[19:27:44][ 80.961059] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b (DT)

[19:27:44][ 80.968469] pstate: 60400005 (nZCv daif +PAN -UAO)

[19:27:44][ 80.973394] pc : cnss_wlan_register_driver+0x2f0/0x2f8

[19:27:44][ 80.978670] Ir : cnss_wlan_register_driver+0x2f0/0x2f8

[19:27:44][ 80.983945] sp : ffffff801776b9e0

0000000000 O0OwirelessDOOOO,00LCOO0O0OOO

#3 - 2022-09-16 10:51 - SZTS_TEST O O
- File Serial-COM119_20220915202308.log added

00 0O 0900ed dumpd O O https://thundersoft.feishu.cn/file/boxcnZItO33USm75HmMJIAlyOi58b
o022

#4-2022-09-16 11:01-CDLCO OO

- Status changed from New to NEED_INFO

- Assignee changed fromCDLC 0 0 O to SZTS _TEST O O

HIO

gobo0ooooOooooooboobooOoooo

0000000000 readyDO0O00O0OOO

#5 - 2022-09-16 11:05 - SZTS_TEST O O

- File mem.bat added

#6 - 2022-09-19 13:45- SZTS_TEST O O
- Assignee changed from SZTS_TESTO O toCDLCO OO

#7 - 2022-09-23 14:44 - CDTS_TEST O O
- Status changed from NEED_INFO to ASSIGNED

#8 - 2022-09-26 10:40 - SZTS_TEST O O
- Target version set to VX1_MCE_FSE_V2.0_20220930

#9 - 2022-09-26 10:56 - SZTS_TEST O O
- Assignee changed fromCDLCO OO toCDLC-0 00O

#10 - 2022-09-27 11:10 - SZTS_TEST O O
https://thundersoft.feishu.cn/file/boxcnZltO33U5m75HmJAlyOi58b

- File Serial-COM119_20220926195358.rar added

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/20220924/202209242316-1438 0 0 0000 0O O meuld O
0036800 00009%0ed00000OOOMO354madadbd 00

dumpO O O O O https://thundersoft.feishu.cn/file/boxcnMcQ7VmCkhF2jn3qj9sUQlg

#11-2022-09-2711:28- 0 0 0 0 0 O -RD3_CDTS O O
- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V2.0_update_20221012

#12 - 2022-09-2910:23-CDLCO OO
- Assignee changed fromCD LC-0 0 O toCDLCO OO

#13-2022-10-0822:36-CDLC O O O

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC O O O to CD SYSTEM-O O O

HiOoO,

0000000Obug#ll13400000,0000000000

obo0O011400000007?

111349

001340 0 000,000000000,0cacel0000D0OOVBODONB40000,000DBOO0O0OOO0O0OOO, 000000007

000000000 0OPCIEDODOOODDOOODSPO,O0O OO calibration to completed O .

[19:27:36][ 72.681214] cnss: fatal: Timeout waiting for FW ready indication

[19:27:44][ 80.876331] cnss: Timeout (40000ms) waiting for calibration to complete

[19:27:44][ 80.885980] cnss: ASSERT at line 2433

01340 00,000000000000,0000000000°?

BR!

#14 - 2022-10-09 10:07 - CD SYSTEM-0O O O
- Assignee changed from CD SYSTEM-O 0O 0O toCDLCO OO

Hi,0 O
BUG#1113490 0 0 OO 0O
https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/150066

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/147583
ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220924/202209242316-1438
https://thundersoft.feishu.cn/file/boxcnMcQ7VmCkhF2jn3qj9sUQlg
https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/150066
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/147583

DeO0O0O0O0OO0O0O0OCOCOO0O0OCOCO0DOCOO0OOCOOOOOOODOOvVBOOO

BUG#1119710 000 00000000000000LCO00000000
gboooooooooooooooooooOoooooBuG

000000LC000000000#1113490bugd #11197100000000000000000#4113400000

#1113400 0 0000000000000 00O0DBOOOO#119710 0000

BR!

#15-2022-10-1116:13-CDLCO OO

J0000000Db0DO0DOOooOoDbsSP,00D00.0000Dcase 0, 000000
goooboobooboboobobooog

[19:27:36][ 72.681214] cnss: fatal: Timeout waiting for FW ready indication

[19:27:44][ 80.876331] cnss: Timeout (40000ms) waiting for calibration to complete

[19:27:44][ 80.885980] cnss: ASSERT at line 2433

[19:27:44][ 80.889803] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!

[19:27:44][ 80.896066] Internal error: Oops - BUG: 0 [#1] PREEMPT SMP
goooboobooboboobobooog
Jo0o0o0ooddumpOOO0D0OCOO0ODOOOODOOODOOO

#16 - 2022-10-11 16:15- CDTS_TEST O O
- Target version changed from VX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_20221030

goODb0OOCASEDOODOOO

#17 - 2022-10-1210:39 - SZTS_TEST O O

0 O release0) O 10110 userdebugd O O O O O O rebootd O O O O O 900ed
logd O O https://thundersoft.feishu.cn/file/boxcnVxgnnkw6M3IGdHisXYSwXn

#18 - 2022-10-18 11:28 - SZTS_TEST O O
- File Serial-COM?78_20221015000000.rar added

EVT20 O O 0 10130 userdebugd O O O O reboot 24000 O 0O 0O O O O O O 900e
dumpO O O O O https://thundersoft.feishu.cn/file/boxcnKx4yzOYPNB8ioaAjRYS5FY Vb2from=from_copylink

#19 - 2022-10-18 11:36 - SZTS_TEST O O
- Status changed from NEED_INFO to ASSIGNED

#20-2022-10-18 12:20-CDLCO OO

oobooooo.
https://thundersoft.feishu.cn/file/boxcnVxqnnkw6M3lGdHisXYSwXn
https://thundersoft.feishu.cn/file/boxcnKx4yzOYPN8ioaAjRY5FYVb?from=from_copylink

#21-2022-10-1822:29-CDLCO OO

0 O released O 10110 userdebugt O O O O O O rebootd O O O O O 900ed
logO O O https://thundersoft.feishu.cn/file/boxcnVxgnnkw6M3IGdHisXYSwXn

O0o00oO00Oo0bDumpOO

#22 - 2022-10-2800:43-CDLC O O O

OOMETAOOODUmpO OOOOOOODOOMETADDOOO

#23 - 2022-10-28 20:03 - CDTS_TEST O O
- Target version changed from VVX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

gooooooa

#24 - 2022-11-0110:13-CDLCO OO

202211010 000:008300,000

0 O ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssil2-dev/20221030/202210300041-2035

(0 O0vBO O ,0patch, 0 0 O 0O META,O Enter BP-CODEO )

oooo:00,0000
gooooooog.

#25-2022-11-1623:33-CDLCO OO
- Due date set to 2022-11-22

O0OO0OMETAODOOOOOODOOOOODOOOODuUe1/22000000

#26 - 2022-11-17 16:02 - CDTS-TEST O O
- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

#27 - 2022-11-1922:56 -CDLC O O O

oo:
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20221117/202211171905-2465
00000o0oveOO(DDODOODOMETA)

gooooo,.on

Slot _ais unbootable, trying alternate slot

00000 0Ofastboot. 0O OO OMO.

00(0000):VB-OMETAD O O-00 0O patch.zip

[ ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure turbox-c2130c-lal.1-gssil2-dev/NULL/20221117/0110 O O
goo0000o0oo.oooon.
https://thundersoft.feishu.cn/file/boxcnVxqnnkw6M3lGdHisXYSwXn
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221030/202210300041-2035
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20221117/202211171905-2465
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/NULL/20221117/0110

#28 - 2022-11-1922:;57-CDLCO OO
- File VB-O METAO O O -0 O O O patch.zip added

#29 - 2022-11-2312:48-CDLCO OO
- Target version changed from VX1_MCE_FSE_V4.0_20221128 to MCE_V4.0update_20221215(0 VC1_FSE_Vdec1219)

0O 0O900EC OO OO DOPCIED OFWO Calibrationd O O wifiDSPO O O O OO
O000Assertd OO
O0O000O0D00Assert00000&O O OOOODOOOPClEODOODODODOOOOOO”

#30-2022-11-2813:32-CDLCO OO

[22:04:02][ 72.676116] cnss: fatal: Timeout waiting for FW ready indication

[22:04:08][ 78.820258] cnss: Timeout (40000ms) waiting for calibration to complete
[22:04:08][ 78.828557] cnss: ASSERT at line 2433

[22:04:08][ 78.832364] kernel BUG at drivers/net/wireless/cnss2/pci.c:2433!
0000000000 QMI_WLFW_FW_MEM_READY_IND VO01ReadyD 000 0O {
type = QMI_INDICATION,

.msg_id=QMI_WLFW_FW_MEM_READY_IND_V01,

.ei =wlfw_fw_mem_ready_ind_msg_vO01_ei,

.decoded_size = sizeof(struct wifw_fw_mem_ready_ind_msg_v01),
fn=cnss_wlfw_fw_mem_ready_ind_cb

h

0 O O Debug patch
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/165655
go000o00ob0O0DbO0bOO0Obump OO0 00OO0O0O0O0ODODODOOOOPCIODOD OWLANFWDOODOO

goooooooesodonond

#31-2022-11-2902:01-CDLCO OO

000000000 n/oo00b0ouwbbO00BD0o0OO

#32-2022-11-3008:25-CDLCO OO

ooo

gb1spoooooooooog

#33-2022-12-0110:31-CDLCO OO

ooo

gooosi0o0oooooooooowifibboooooooopoopooooo

goooooooooooooobooobooooboooooog

#34-2022-12-0608:34-CDLCO OO

UPdate:
ooo0ooooOoooOoOoooOowFDOODOO0OO0OooO0O00ooOO0o0oOoO0o0oOoO0o0oOoO0o0oOoOOoOooooOO

O000oo0O0Opci00O0ODOOOODOOOOO

#35-2022-12-0909:53-CDLC O OO
00o000oooooooOwenOO0,000000000DO.

Cooooooooooon)
gooooooooooooon.

#36 - 2022-12-1202:30-CDLCO O O

During the restart pressure test (repeatedly restarting the device), the following exceptions occur in probability.

[ 71.148931] [MAX975X:max96755g_write_bytes] ERROR i2c master send Ox8E err
[ 72.672569] cnss: fatal: Timeout waiting for FW ready indication

[ 72.960938] i2c_geni 980000.i2c: i2c error :-107

[ 72.965750] [MAX975X:max96755g_write_bytes] ERROR i2c master send Ox8E err
[ 74.784942] i2c_geni 980000.i2c: i2c error :-107

[ 74.797016] [MAX975X:max96755g_write_bytes] ERROR i2c master send Ox8E err
[ 76.608920] i2c_geni 980000.i2c: i2c error :-107

[ 76.621023] [MAX975X:max96755g_write_bytes] ERROR i2c master send Ox8E err
[ 78.432936] i2c_geni 980000.i2c: i2c error :-107

[ 78.445054] [MAX975X:max96755g_write_bytes] ERROR i2c master send Ox8E err
[ 78.816122] cnss: Timeout (40000ms) waiting for calibration to complete

If Timeout (40000ms) waiting for calibration to complete, the device will trigger an active exception.

Before this, “ cnss: fatal: Timeout waiting for FW ready indication” also occurs.

For FW ready, since it is closed source, have asked Qualcomm to help check.

#37-2022-12-1202:33-CDLCO OO

gb00ooooooboooorwOOODOOOOOMessage. DOOOOOOOFRWODOO

gooooooooooogtleconDOOOOOOOOOOOOO

000000000 0wlan_logst O O O logcat.

#38 - 2022-12-13 10:18 - CDTS-TEST O O

000000 00000bwgOOOOO

#39 - 2022-12-1323.49-CDLCO OO
- File 20221213-logs.zip added

ooo
0000000020221213-logszipd 000000000
#40 - 2022-12-14 19:01 - CDTS-TEST O O
- Target version changed from MCE_V4.0update_20221215(00 VC1_FSE_Vdec1219) to VX1_MCE_FSE_V5.0_20221230

#41 - 2022-12-1614:05-CDLCO OO

000000000000000ef00000000000000elf0000dump.

LINUX/android/out/target/product/figure/obj/kernel/msm-4.19/vmlinux
LINUX/android/out/target/product/figure/obj/vendor/qcom/opensource/wlan/qcacld-3.0/.qca6490/qca_cld3_qca6490.ko
LINUX/android/out/target/product/figure/obj/vendor/qcom/opensource/wlan/qcacld-3.0/.qca6390/qca_cld3_qca6390.ko
wlan_proc/core/rombin/v1/core_rom_v1_link_patched/build/6490.wlanfw.eval/CORE_ROM_V1_LINK_PATCHED_6490.wlanfw.evalQ_link.elf
wlan_proc/config/bsp/cnss_ram_v1_TO_link_patched/build/6490.wlanfw.eval_vl_TO_xr/CNSS_RAM_V1_TO_LINK_PATCHED_6490.wlanfw.eval_vl_TO_xrQ_lin
k.elf

wlan_proc/config/bsp/cnss_ram_v1_TO_link_patched/build/6490.wlanfw.eval_vl_TO_xr/Data.msc

wlan_proc/scripts/myps/gshrink/msg_hash.txt

wlan_proc/wlan/subsys/phyucode_binary/hsp/pcss_m3_tx_rx.axf

#42 - 2022-12-1917:36-CDLCO OO
FWOOOOOOOOOODOODOODOcase06411661, 00 0BSPO OO OO
FW download is stuck

0x0000000045E42FE8 | 61.071999: mhi_sm_set_trig_pending: 8

0x0000000045E43030 | 61.072003: mhi_core_isr: MHI_SYS_ERR triggered by Host

on host side, tasklet is pending on CPUO, will cloned a case to BSP team to check further

irq_stat
core 0: __softirq_pending = 0x50 ['BLOCK_SOFTIRQ', "'TASKLET_SOFTIRQ']
core 1: __ softirg_pending = 0x0 []
core 2: __softirg_pending = 0x0 []
core 3: __softirg_pending = 0x0 []
core 4: __softirg_pending = 0x0 []
core 5: __softirg_pending = 0x0 []
core 6: __softirq_pending = 0x0 []
core 7: __softirg_pending = 0x0 []

#43-2022-12-2018:42-CDLCO OO

oo:

. the process/thread running on core 0

Task name PID Exec_Started_at Last_ Queued_at Total_wait_time No_of_times_exec Prio State Last_enqueued_ts Last_sleep_ts Last runtime(msec)
ifconfig 1363  39.468297463  0.000000000  0.074291511 28 120 R 39.448432848 39.413550035  0.000000000

2.

3f95308 [79.280795] [1650923141] : LOGK_READL from address ffffff800c3f2790(40300790) called from addr ffffffd5360d7ab8 lan743x_intr_entry_isr[jt] Line 711 of
\"/home/xuxidong/code/Figure/turbox_c2130c_vendor/LINUX/android/kernel/msm-4.19/include/asm-generic/io.h\"

3f95310 [79.280797] [1650923192] : LOGK_WRITEL from address ffffff800c3f2798(40300798) called from addr ffffff95360d7b78 lan743x_intr_entry_isr[jt] Line 745 of
\"/home/xuxidong/code/Figure/turbox_c2130c_vendor/LINUX/android/kernel/msm-4.19/include/asm-generic/io.h\"

3f95318 [79.280798] [1650923205] : LOGK_READL from address ffffff800c3f2780(40300780) called from addr ffffff95360d7594 lan743x_intr_shared_isr[jt] Line 711 of
\"/home/xuxidong/code/Figure/turbox_c2130c_vendor/LINUX/android/kernel/msm-4.19/include/asm-generic/io.h\"

3f95320 [79.280800] [1650923255] : LOGK_WRITEL from address ffffff800c3f2780(40300780) called from addr ffffff95360d75e0 lan743x_intr_shared_isr[jt] Line 745 of
\"/home/xuxidong/code/Figure/turbox_c2130c_vendor/LINUX/android/kernel/msm-4.19/include/asm-generic/io.h\"
3f95328 [79.280801] [1650923268] : LOGK_WRITEL from address ffffff800c3f2794(40300794) called from addr ffffffd5360d7d18 lan743x_intr_entry_isr[jt] Line 745 of
\"/home/xuxidong/code/Figure/turbox_c2130c_vendor/LINUX/android/kernel/msm-4.19/include/asm-generic/io.h\"

#44 - 2022-12-2217:34-CDLC O OO

ooo
Same as before, core0 is busy processing lan743x interrupts, can you disable this module then test again
lan743x0 EthernetC O OO0 O O0O0O0OO0OOOOOOcore00 O 0OOwWfiODOODODO

-00000d0n3x0 00000000000
-0000000OEthernet0 OO0 OO0

#45-2022-12-2614:24-0 000 0 0O -RD3_CDTSO O
- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

101000000 @e0COO

#46 - 2022-12-2722:28-CDLC O OO

oo:

0000 https://dev.thundercomm.com/gerrit/c/general/clo/la/kernel/msm-4.19/+/171865 patch(] O [
000,000LAN743X Ethernet0D O (0 00,000 0EhOO)
#CONFIG_MARVELL_88Q2112=y

#CONFIG_GENERIC_PHY=y

#CONFIG_PHYLIB=y

#CONFIG_LAN743X=y

O0oo000o,000500,00000900e00.

0 4160580E 20221223 13:0000 O O O ,0 1227 22:00 O 106H
0 20AA3BFE 20221223 13:0000 0 0 0,00 122520:000 55H(C 000 0OO0O)

00O, wifill O O Ethernetd O core0O0 OO O O.

#47 - 2022-12-28 10:17 - CDTS_TEST O O

OOEVT2-VXIOOOOOOOOOOOOODOOO FlatBuild HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.2022122310330 0 0 0 0110000000

[0 900e1 O

#48 - 2022-12-2921:54-CDLCO OO

ooo

000000000 QMI_WLFW_FW_READY_IND V1O ODOOO0ODOCOODOOOEhernet0 D0 0DOO0OD0ODOO0ODOOOODOOODOO
http://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/173203
https://dev.thundercomm.com/gerrit/c/general/clo/la/kernel/msm-4.19/+/171865
http://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/173203

#49 - 2023-01-1200:29-CDLCO O O

OwlanO0OOOOOOOOboot0 00005000000 patch
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/kona/+/175730

https://dev.thundercomm.com/gerrit/c/general/device/qcom/sepolicy vndr/+/175812

ooo

#50 - 2023-01-12 13:20 - CDTS-TEST O O
- Target version deleted (VX1_MCE_FSE_C sample_20230113)

0o0oooooooooooooo1y20000

#51 - 2023-01-12 15:59 - CD TPM-0 O O
- Due date changed from 2022-11-22 to 2023-01-18

#52-2023-01-1710:19- 000000 _CcbTsddd

00000 ——FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301112125
0o0o——-vXx1
0000O0-0000Oreboot 00019610000

Log:O00Otlog0 OO OOODO

#53 - 2023-02-07 20:51-CDLC O O O

--Previous comment
000,000LAN743X Ethernet0D O (0D 00,000 0EhOO)
#CONFIG_MARVELL_88Q2112=y
#CONFIG_GENERIC_PHY=y

#CONFIG_PHYLIB=y

#CONFIG_LAN743X=y

00o0000,000500,00000900e00.

0 4160580E 20221223 13:000 O O 0,0 1227 22:00 O 106H

00000 Cored Olan7430 O

[22:04:10][ 80.323638] CPU: 0 PID: 1326 Comm: ifconfig Tainted: GS DW OL 4.19.157+#1
[22:04:10][ 80.331586] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1 EVT2 (DT)
[22:04:10][ 80.340341] Call trace:

[22:04:10][ 80.342863] dump_backtrace+0x0/0x258

[22:04:10][ 80.346627] show_stack+0x20/0x30

[22:04:10][ 80.350035] dump_stack+0xd8/0x12c

[22:04:10][ 80.353532] ipi_cpu_stop+0xac/0xcO

[22:04:10][ 80.357119] ipi_cpu_stop+0x0/0xcO

[22:04:10][ 80.360615] gic_handle_irq+0x124/0x1d8

[22:04:10][ 80.364559] ell_irg+0xec/0x198

[22:04:10][ 80.367797] __do_softirq+0x118/0x554

[22:04:10][ 80.371566] irg_exit+0xfc/0x120
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/kona/+/175730
https://dev.thundercomm.com/gerrit/c/general/device/qcom/sepolicy_vndr/+/175812

[22:04:10][ 80.374888] __handle_domain_irq+0xa8/0xf8
[22:04:10][ 80.379101] gic_handle_irq+0x160/0x1d8
[22:04:10][ 80.383045] ell_irg+0xec/0x198

[22:04:10][ 80.386286] ktime_get+0x84/0x110

[22:04:10][ 80.389695] usleep_range+0x30/0x90

[22:04:10][ 80.393285] lan743x_netdev_open+0x714/0x2040
[22:04:10][ 80.397768] __dev_open+0xcc/0x190
[22:04:10][ 80.401267] __dev_change_flags+0x9c/0x1cO

OuserD 000000 0OwWifiOOOO50000000 teserviced O O wifiD O O teserviceO serviceD O OO0 Owifi0 D00 O0O0OO0O

01-11 19:44:46.719 1520 2118 | WifiService: setWifiEnabled package=com.thundercomm.tcservice uid=1000 enable=true
01-11 19:44:46.720 1520 1845 E WifiSelfRecovery: Triggering recovery for reason: WifiNative Failure

01-11 19:44:46.720 1520 1845 E WifiSelfRecovery: Restarting wifi for reason: WifiNative Failure

01-1119:44:46.721 1520 1845 | WifiNative: Vendor HAL died. Cleaning up internal state.

01-1119:44:47.113 1520 1591 I uc_send_user_broadcast; [0,android.intent.action.LOCKED_BOOT_COMPLETED]
01-1119:44:47.216 2682 2682 | AlarmClock: AlarminitReceiver android.intent.action.LOCKED_BOOT_COMPLETED
01-11 19:44:47.284 1520 1609 | ActivityManager: Posting BOOT_COMPLETED user #0

01-11 19:44:47.293 1520 1587 | uc_send_user_broadcast: [0,android.intent.action.BOOT_COMPLETED]

01-11 19:44:47.563 2584 2584 | QCCAuthMgr: android.intent.action.LOCKED_BOOT_COMPLETED intent received
01-1119:44:47.727 1520 1845 E WifiNative: Failed to start vendor HAL

01-1119:44:47.728 1520 1845 E WifiNative: Failed to start Hal

01-1119:44:47.735 1520 1845 E WifiSelfRecovery: Triggering recovery for reason: WifiNative Failure

01-1119:44:47.735 1520 1845 E WifiSelfRecovery: Restarting wifi for reason: WifiNative Failure

01-1119:44:47.782 1520 1845 | WifiNative: Vendor HAL died. Cleaning up internal state.

01-1119:44:47.790 1520 1845 E WifiSelfRecovery: Triggering recovery for reason: WifiNative Failure

O0DBO OO DOIan743x0 0 0 O ReadyD O O LinkisDownO OO 00O O0O0OOOQMIODOOOO
01-0117:53:22.493 0 Ol libphy :lan743x-mdiobus-ext: probed

01-01 17:53:28.534
01-01 17:53:29.107
01-01 17:53:29.120

0 0Dcnss :Calibration doneis0
0
0
01-0117:53:29.271 0 01lan743x 0001: 01:00.0 eth0: using MSIX interrupts, number of vectors = 6
0
0
0
0

0Ewlan :Loading driver v5.2.022.10G; 2023-02-05T02:53:06Z; cld:; cmn;;
0Dcnss : Start to wait for calibration to complete

01-0117:53:29.291 01 lan743x 0001: 01:00.0 eth0: Link is Down

01-01 17:53:28.462 0 11an743x 0001: 01:00.0 eth0: successfully registered ptp clock
01-0117:53:32.148 0Dcnss : Received QMI WLFW calibration done indication
01-01 17:53:32.148 0Dcnss : Calibration completed successfully

gooo
Jooooooogisedoooon
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/user/20230205/0014/FlatBuild HH VX1 MCE_FSE.M.D.user.01.00.X101.2

02302050304.zip

OO00OO0000OO0O000userDBOOOOrcotD 00000

#54 - 2023-02-07 20:52-CDLCO OO

- Status changed from ASSIGNED to RESOLVED

- Assignee changed fromCDLCO 00 toO 0 OO OO _CDTSOO
- % Done changed from 0 to 60

HiOOO
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230205/0014/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304.zip
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230205/0014/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304.zip

000000000 0OuserDBOOOOrootD0OOo0Ond
ooo

#55 - 2023-02-08 10:15-CDLC O 0 O
- Resolution changed from -- to WONTFIX

#56 - 2023-02-08 11:49-CDLC O OO

ood

0000 0Ouserdebugh O 0 O 0O Ethernetd O lan743x0 00000 0000wifi00 0000000

O0Ouserd 0000000000000 0OO00D0O00OWfiDOOOD O te-serviced Owifid 0000000 Ote-servicedD Owifid Owifid 00000000
gooooooowifiooDooooo

O0userdOrootDO0OODODO

#57-2023-02-2517:11-000000_CbTsO O
- Status changed from RESOLVED to VERIFY_FAILED
- Assignee changed from 0 0 0 0 O O _CDTS 0O O to CD SYSTEM-O O

goooo

ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/user/20230223/0945/FlatBuild HH_ VX1 MCE_FSE.M.R.user.01.00.0077.
X101.zip

0000dFail

ooooovevoz2

0000000991000 ooonocoE

Dump( tlog O O O O FTPO ftp://cdiot@192.168.87.46/Figure/bug/111971

#58 - 2023-02-28 13:53 - CDTS-TEST O O

oooaoo

#59 - 2023-02-28 14:17 - CDTS-TEST O O

- Due date changed from 2023-01-18 to 2023-03-10

- Assignee changed from CD SYSTEM-O O to SystemO -RD3_CDTS O O O

#60 - 2023-02-28 14:27 - CDTS-TEST O 0
- Category changed from LC to SYSTEM

#61 - 2023-02-28 14:31-CD TPM-0 O O

- Status changed from VERIFY_FAILED to ASSIGNED

- Resolution deleted (WONTFIX)

oo

00000000000 0000wfi0000000000000000O0000000000000O0000O000
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230223/0945/FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0077.X101.zip
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230223/0945/FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0077.X101.zip
ftp://cdiot@192.168.87.46/Figure/bug/111971

#62 - 2023-02-28 14:31-CD TPM-0 O O
- Target version set to VC1_FSE_0082_20230314

#63 - 2023-02-28 14:49 - System -RD3_CDTS O O O

Olog0 000O00000TPODO

— M/ /A M/ /A @ ™" @ @ A M /@ @ = /@ @ /@ /@ @ @ /@ /@ /@ /@ /@ /@ M /@ /@ /@ /@ /@ /@ /@ /@ @ /@ /@ @ =/ /@ /@ /@ /@ = = /@

1.623522] Info Block: 1f 00 00 68 b3 22 0a 01 00 6¢ c9 22 4a 00 01 6d
1.623523] Info Block: 14 23 10 00 01 6f 25 23 1f 02 00 70 85 23 04 01
1.623525] Info Block: 01 71 8f 23 06 01 00 81 9d 23 05 00 01 85 a3 23
1.623527] Info Block: 29 01 00 b2 e0 fb

1.623539] atmel_mxt_ts 0-004a: Read Info Block success

1.623546] atmel_mxt_ts 0-004a: Registering input device

1.623822] Unable to handle kernel NULL pointer dereference at virtual address 0000000000000000
1.623829] Mem abort info:

1.623833] ESR = 0x96000045

1.623841] Exception class = DABT (current EL), IL = 32 bits
1.623846] SET=0,FnV =0

1.623850] EA=0,SIPTW =0

1.623855] Data abort info:

1.623859] ISV =0, ISS = 0x00000045

1.623864] CM=0,WnR=1

1.623870] [0000000000000000] user address but active_mm is swapper
1.623879] Internal error: Oops: 96000045 [#1] PREEMPT SMP
1.623887] Modules linked in:

1.623896] Process swapper/0 (pid: 0, stack limit = 0x00000000d2850ef5)
1.623906] CPU: 0 PID: 0 Comm: swapper/0 Tainted: G S 4.19.157-perf+ #1
1.623911] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VC1 EVT2 (DT)
1.623918] pstate: 80400085 (Nzcv dalf +PAN -UAO)

1.623930] pc : geni_i2c_irq+0x3dc/0x528

1.623941] Ir : __handle_irq_event_percpu+0x100/0x2b8

1.623945] sp : ffffff8008003e30

1.623949] x29: ffffff8008003e30 x28: ffffffaa3d7b9b88

1.623956] x27: ffffffaa3d7fa000 x26: ffffffaa3d683000

1.623963] x25: ffffffaa3d60db38 x24: 0000000008000081

1.623968] x23: 0000000000000000 x22: 0000000008000081

1.623974] x21: 0000000000000000 x20: 0000000000000000

1.623980] x19: ffffffe7167a0080 x18: 0000000000000000

1.623987] x17: 0000000000000000 x16: 0000000000000001

1.623993] x15: 0000000000000000 x14: 0000000000000000

1.624000] x13: 0000000000000000 x12: 0000000000000000

1.624005] x11: 0000000000000000 x10: 0000000000000000

1.624011] x9 : 0000000000000001 x8 : ffffff8015493d58

1.624017] x7 : 000000000465f058 x6 : ffffffe7167a66a2

1.624022] x5 : 0000000000000040 x4 : ffffffe7158f3b00

1.624028] x3 : ffffffaa3d603d60 x2 : 0000000000000001

1.624034] x1 : ffffffe7167a0080 x0 : 0000000000000113

1.624042] Call trace:

1.624049] geni_i2c_irq+0x3dc/0x528

1.624055] __handle_irq_event_percpu+0x100/0x2b8

1.624060] handle_irg_event+0x5c/0xd0

1.624067] handle_fasteoi_irq+0x108/0x200

1.624073] __handle_domain_irg+0x7c/0xc0

1.624083] gic_handle_irg+0x14c/0x1c4
1.624090] ell_irg+0xe8/0x190
1.624095] arch_cpu_idle+0xec/0x1e0
1.624105] do_idle+0x104/0x290
1.624110] cpu_startup_entry+0x20/0x28
1.624120] rest_init+0xd0/0xe0
1.624133] start_kernel+0x4ec/0x574

#64 - 2023-02-28 14:50 - Systemd -RD3_CDTS O O O
- File dmesg_TZ.txt added

#65 - 2023-03-02 14:37 - CD BSP-00 O

00000 O00Atmeltplogd OO

/ /= /A /" " @ @ @ @ @ @ @ @ @ @ @ =@ /@ @ @ @ @ /@ /@ /@ @ /@ /@ /@ /@ /@ /@ @ / ~/ @ /= /= @

6.518383] atmel_mixt_ts 0-004a: ATMEL MaXTouch Driver version 4.12¢c
6.525019] atmel_mxt_ts 0-004a: Using gpiod to irqg mapping(383) to overrite the client's irq(0)

6.534053] atmel_mxt_ts 0-004a: Mxt Reset (Flag: 0C)
6.539248] atmel_mxt_ts 0-004a: Resetting chip(H)
6.544192] atmel_mxt_ts 0-004a: <Segnum>: 0 ->0

6.556694] atmel_mxt_ts 0-004a: Family: 164 Variant: 56 Firmware VV2.0.AA Objects: 42

6.575443] Info Block: a4 38 20 aa 29 47 2a 75 06 01 f2 17 00 25 ce 17
6.575444] Info Block: 81 00 00 2c 50 18 00 00 00 05 51 18 0a 00 00 06
6.575444] Info Block: 5¢ 18 06 00 01 44 63 18 48 00 01 26 ac 18 3f 00
6.575445] Info Block: 00 Oe ec 18 20 01 00 47 2e 19 f9 00 00 6e 28 1a
6.575445] Info Block: 8d 0500 76 7c 1d 02 00 01 8d 7f 1d 08 28 00 91
6.575446] Info Block: f0 1e 00 00 00 07 f1 1e 06 00 00 08 f8 1e Oe 00
6.575446] Info Block: 00 0f 07 1f 0a 01 01 12 1d 1f 01 00 00 13 1f 1f
6.575446] Info Block: 0f 00 01 18 2f 1f 12 01 04 19 55 1f 26 00 01 1b
6.575447] Info Block: 7c 1f 06 01 01 28 8a 1f 06 01 00 2a 98 1f 0d 01
6.575447] Info Block: 00 2e b4 1f 17 00 01 38 cc 1f 2¢ 00 01 3d f9 1f
6.575448] Info Block: 04 0501 41 17 20 16 02 01 46 5¢ 20 09 18 01 48
6.575448] Info Block: 56 21 58 00 01 4e af 21 0b 01 00 4f c7 21 03 05
6.575449] Info Block: 00 50 df 21 0d 01 01 64 fb 21 4b 01 12 65 93 22
6.575449] Info Block: 1f 00 00 68 b3 22 0a 01 00 6¢ ¢9 22 4a 00 01 6d
6.575450] Info Block: 14 23 10 00 01 6f 25 23 1f 02 00 70 85 23 04 01
6.575450] Info Block: 01 71 8f 23 06 01 00 81 9d 23 05 00 01 85 a3 23
6.575451] Info Block: 29 01 00 b2 €0 b

6.575456] atmel_mxt_ts 0-004a: Read Info Block success

6.576394] atmel_mxt_ts 0-004a: T6 Config Checksum: 0x1B6EAC
6.580925] atmel_mxt_ts 0-004a: Registering input device

6.597164] atmel_mxt_ts 0-004a: peak enalbe, check curve compensation
6.604335] atmel_mxt_ts 0-004a: curve data: magic: 17238; flag: 1;levels: 7

6.611589] atmel_mxt_ts 0-004a: curve coordinate compensation at X

6.618034] atmel_mxt_ts 0-004a: curve coordinate compensation levels is: 7

6.627690] atmel_mxt_ts 0-004a: curve compensation enabled
6.633423] atmel_mxt_ts 0-004a: Touchscreen size {x,y} = {2559,1079}

6.653515] atmel_mxt_ts 0-004a: peak enalbe, check curve compensation
6.660897] atmel_mxt_ts 0-004a: curve data: magic: 17238; flag: 1;levels: 7

6.668138] atmel_mxt_ts 0-004a: curve coordinate compensation at X

6.674582] atmel_mxt_ts 0-004a: curve coordinate compensation levels is: 7

6.683856] atmel_mxt_ts 0-004a: curve compensation enabled
6.689588] atmel_mixt_ts 0-004a: Touchscreen size {x,y} = {2559,1079}

6.706645] atmel_mxt_ts 0-004a: Falling back to syfs fallback for: maxtouch.cfg
[ 6.714279] atmel_mxt_ts 0-004a: mxt_probe: probe successfully!

11.456703] atmel_mxt_ts 0-004a: T25 Status 0x 0 Info: 00 00 00 00 00

11.481455] atmel_mxt_ts 0-004a: Config file CRC 0x1B6EAC same as device CRC: No update required.
11.490582] atmel_mxt_ts 0-004a: Skip update config file

11.496669] atmel_mxt_ts 0-004a: Initialized power cfg: ACTV 10, IDLE 20

11.503561] atmel_mxt_ts 0-004a: Get Irgflags 0x0, will check Retrigen mode

11.511607] atmel_mxt_ts 0-004a: RETRIGEN Enabled feature

21.248569] atmel_mxt_ts 0-004a: FB event:2,blank:0

21.248572] atmel_mxt_ts 0-004a: suspend: event = 2, blank =0, not care

23.356007] atmel_mxt_ts 0-004a: FB event:1,blank:0

23.356008] atmel_mxt_ts 0-004a: drm_notifier_callback: UNBLANK! Resume by drm notifier.

L T e T s T T T T T B T |

#66 - 2023-03-02 17:30 - CD BSP-00 O
- File kernel_log.txt added

#67 - 2023-03-07 10:41 - CD BSP-0 O
- Category changed from SYSTEM to BSP
- Assignee changed from System(] -RD3_CDTS U U O to BSPO -RD3_TSCD U O O

#68 - 2023-03-07 19:29 - CD BSP-00 O
- File 0 O VC1_Display_Info _V1.0 - FSE.xIsx added

#69 - 2023-03-08 19:35 - CD BSP-U [0

- Subject changed from 0 VX100 O BSPO O EVTO Opowerd OO0 OO O0O0OOOOreboot02HO O OO OO0 00O0O0OO0OOOOO0O toOVC1O
OBSPOOEVTOOpowerd OO O O0OO0OOOODOOrebootO2HO O OO OO0 00O OOOOOOOO

- % Done changed from 60 to 80

- Resolution set to FIXED

-Rootcausesetto VC1TPO O OO OO OO0DOOOO0ODOOOODOOODOOODODO O crash

ooo
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/186306

VB:
http://jenkins.thundercomm.com/job/VerifyBuild_for 10T 6490/2863/

goooo

1L.00000Ca0000C00OOOcrash;b. 000t OODOO
20000000TPOOODOOO
d0b0dboboobobooboooobouooboobo

adb shell cat /proc/interrupts | grep atm

383: 426 0 0 0 0 0 0 0 msmgpio 7Edge atmel_mxt_ts

#70 - 2023-03-09 10:13 - CD BSP-0 O
- Status changed from ASSIGNED to RESOLVED
- Assignee changed from BSP(J -RD3_TSCD O OO to0 OO O OO _CDTSO O

#71 - 2023-03-10 13:39 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
186793 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-ftm_v0081

BSP:TP: Fix VC1 touch intrrupt abnormal issueFix VC1 touch intrrupt abnormal issueTC-RID: 1201-01004011ssuel D: TS-R-DF-111971Change-Id:
12b3a43c04c4bfca8f0adf75e7b7d11f6d90f1fdb

#72 - 2023-03-10 18:12 - 10T scm
Gerrit Merge Information(

1D

Project

Branch

Uploader

186306

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

dulei0503@thundersoft.com

BSP:TP: Fix VC1 touch intrrupt abnormal issueFix VC1 touch intrrupt abnormal issue TC-RID: 1201-0100401lssuelD: TS-R-DF-111971Change-1d:
12b3a43c04c4bfca8f0adf75e7b7d11f6d90f1fdb

#73-2023-03-1317:19-0000 00 _CDTSO O

goO0O1oeoooonoooooog

#74-2023-03-2213:41-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFIED

goo0o2sn0000000O0o0ooooooooooooooooooobooa

#75-2023-03-2213:41-000000_CbTsdO
- Status changed from VERIFIED to CLOSED

Files

Serial-COM119_20220914175848.log
Serial-COM119_20220915202308.log
mem.bat
Serial-COM119_20220926195358.rar
Serial-COM78_20221015000000.rar
VB-O METAO O O -0 0 0O O patch.zip
20221213-logs.zip

dmesg_TZ.txt

kernel_log.txt

0 O VC1_Display_Info _V1.0 - FSE.xlsx

2025-07-04

13.6 MB 2022-09-15
2.87MB 2022-09-16
179 Bytes 2022-09-16
7.68 MB 2022-09-27
25.2 MB 2022-10-18
847 KB 2022-11-19
40 MB 2022-12-13
213 KB 2023-02-28
73 KB 2023-03-02
78.3 KB 2023-03-07

SZTS_TESTO O
SZTS_TESTO O
SZTS_TESTO O

SZTS TESTO O

SZTS TESTO O
cobLcOOoOo

cobLcOOoOo

System -RD3_CDTS 0 0 O
CDBSP-0 O

CDBSP-0 O

16/16



